export declare abstract class InternationalizationPipeProcessingBase {
    abstract dateTransform(value: any, format: string): string | null;
    abstract decimalTransform(value: any, digitsInfo: string, decimalSeparator: string, thousandSeparator: string): string | null;
    abstract percentTransform(value: any, digitsInfo: string, percentFormat: string, decimalSeparator: string, thousandSeparator: string): string | null;
    abstract currencyTransform(value: any, currencyCode: string, digitsInfo: string, display: string): string | null;
}
